module.exports = function(comprobante, afipTablas, entities) {

  return {
    TIP: afipTablas(comprobante.identificaxComprobante.tipo).letraComprobante, // [char](1) NOT NULL, LETRA DEL COMPROBANTE (A,B,C,M,E)
    TCO: afipTablas(comprobante.identificaxComprobante.tipo).tipoComprobante, // [char](2) NOT NULL, TIPO DE COMPROBANTE (FT,NC,ND,RE,CI,LP)
    SUC: parseInt(comprobante.identificaxComprobante.puntoVenta), // [int] NOT NULL, PUNTO DE VENTA
    NCO: parseInt(comprobante.identificaxComprobante.numero), // [bigint] NOT NULL, NUMERO DE COMPROBANTE
    COD: entities.proveedores.COD, // [int] NOT NULL, CODIGO DEL PROVEEDOR   NECESITAS RELACION -- BUSCAR SI ENVIAN EL CUIT DEL PROVEEDOR  SELECT COD FROM PROVEED WHERE CUIT= '30-54775125-2'
    FEC: comprobante.identificaxComprobante.fechaComprobante, // [smalldatetime] NULL, FECHA DEL COMPROBANTE
    NOM: entities.proveedores.NOM, // [varchar](40) NOT NULL, NOMBRE DEL PROVEEDOR  TABLA PROVEED CAMPO NOM
    TIV: entities.proveedores.IVA, // [tinyint] NOT NULL, TIPO DE IVA  CAMPO IVA TABLA PROVEED
    CUI: entities.proveedores.CUIT, // [char](13) NOT NULL, CUIT DEL PROVEEDOR  CAMPO CUIT DEL PROVEEDOR O EL QUE VIENE EN LA COMUNICACION
    FPA: entities.proveedores.FPA, // [tinyint] NOT NULL, FORMA DE PAGO  CAMPO FPA TABLA PROVEED
    TCA: 1, // [money] NOT NULL, FIJO 1
    DTO: comprobante.descuentosGlobalesFactura.importe || 0, // [money] NOT NULL, DESCUENTO TOTAL SUMATORIA DE LOS DTO POR ITEM
    PDT: 0, // [money] NOT NULL, FIJO 0
    NET: comprobante.importesTotales.netoGravado, // [money] NOT NULL, SUMATORIA DE LOS NETOS POR ITEM QUE TIENEN IVA <> 0
    NEE: comprobante.importesTotales.importeOperacionesExentas, // [money] NOT NULL, SUMATORIA DE LOS NETOS POR ITEM QUE TIENEN IVA = 0
    IRI: comprobante.detallesImportesIVA.importeLiquidado, // [money] NOT NULL, SUMATORIA DE LOS IVA POR ITEM
    IRS: 0, // [money] NOT NULL, FIJO 0
    IMI: comprobante.importesTotales.importeImpuestosInternos, // [money] NOT NULL, SUMATORIA DE LOS IMPUESTOS INTERNOS POR ITEM
    RGA: 0, // [money] NOT NULL, IMPORTE RETENCION DE GANANCIAS
    RIB: 0, // [money] NOT NULL, IMPORTE RETENCION DE INGRESOS BRUTOS
    PIV: comprobante.detalleOtrosImpuestosComprobante.percepcionIVA ? comprobante.detalleOtrosImpuestosComprobante.percepcionIVA.importeImpuesto : 0, // [money] NOT NULL, IMPORTE PERCEPCION DE IVA, SECTOR 90 C05
    CNG: comprobante.importesTotales.totalConceptosNoNetoGravado, // [money] NULL,  IMPORTE DE CONCEPTOS NO GRAVADOS
    TOT: comprobante.importesTotales.totalOperacion, // [money] NOT NULL, IMPORTE TOTAL DE LA FACTURA
    ZON: entities.empresa.ZON, // [int] NOT NULL, NUMERO DE LA EMPRESA  SELECT ZON FROM APAREMP
    FEV: comprobante.identificaxComprobante.fechaVencimiento, // [datetime] NULL, FECHA DE VENCIMIENTO
    OCP: comprobante.comprobantesReferencia.PC.numeroDocumentoReferencia, // [char](10) NOT NULL, SI VIENE LA ORDEN DE COMPRA FORMATO "0000000000" (DOS PRIMERO PARA PVE Y 8 ULTIMOS EL NUMERO DE LA OC)
    OPE: 0, // [int] NOT NULL, FIJO 0
    REC: 0, // [bigint] NOT NULL, FIJO 0
    FEP: comprobante.identificaxComprobante.fechaComprobante, // [datetime] NULL, ITEM FECHA FACTURA
    NPE: 0, // [bigint] NOT NULL, NOTA DE PEDIDO FIJO 0
    CPA: 0, // [int] NOT NULL, FIJO 0
    ENV: 0, // [int] NOT NULL, FIJO 0
    REM: 0, // [bigint] NOT NULL, FIJO 0
    PRO: ' ', // [char](1) NOT NULL, FIJO ' ' VACIO NO NULO
    ANU: ' ', // [char](1) NOT NULL, FIJO ' ' VACIO NO NULO
    TUR: 0, // [int] NOT NULL, FIJO 0
    PLA: 0, // [int] NOT NULL, FIJO 0
    LUG: 0, // [int] NOT NULL, FIJO 0
    ATO: 0, // [numeric](18, 0) NOT NULL, FIJO 0
    CCO: 0, // [bigint] NOT NULL, FIJO 0
    IMA: 0, // [int] NOT NULL, FIJO 0
    CCA1: 0, // [int] NOT NULL, FIJO 0
    CCA2: 0, // [int] NOT NULL, FIJO 0
    CCA3: 0, // [int] NOT NULL, FIJO 0
    CCA4: 0, // [int] NOT NULL, FIJO 0
    CCA5: 0, // [int] NOT NULL, FIJO 0
    CCA6: 0, // [int] NOT NULL, FIJO 0
    CCA7: 0, // [int] NOT NULL, FIJO 0
    CCA8: 0, // [int] NOT NULL, FIJO 0
    CCA0: 0, // [int] NOT NULL, FIJO 0
    OBS: comprobante.importesTotales.observaciones, // [varchar](60) NOT NULL, SI VIENEN OBSERVACIONES PONER AQUI SINO VACIO NO NULO
    RIV: 0, // [money] NOT NULL, IMPORTE RETENCION DE IVA
    FECCAI: comprobante.identificaxComprobante.fechaVencimientoCai, // [smalldatetime] NOT NULL, FECHA DEL CAI
    CAI: comprobante.identificaxComprobante.cai, // [char](16) NOT NULL, NUMERO DE CAI
    CHO: 0, // [int] NOT NULL, FIJO 0
    CTR: '', // [char](1) NOT NULL, VACIO NO NULO
    PER: comprobante.importesTotales.importeIB, // [money] NOT NULL, IMPORTE DE PERCEPCIONES
    CCA9: 0, // [int] NOT NULL, FIJO 0
    FECVEN: comprobante.identificaxComprobante.fechaVencimiento, // [smalldatetime] NOT NULL, FECHA DE VENCIMIENTO DE LA FACTURA
    CNG2: 0, // [money] NOT NULL, IMPORTE DE CONCEPTOS NO GRAVADOS 2
    E_HD: '', // [varchar](8) NOT NULL, VACIO NO NULO
    C_HD: '', // [varchar](1) NOT NULL, VACIO NO NULO
    RSS: 0, // [money] NOT NULL, IMPORTE RETENCIONS SUSS
    E_HD2: '', // [varchar](12) NOT NULL, VACIO NO NULO
    C_HD2: '', // [varchar](1) NOT NULL, VACIO NO NULO
    DTO2: 0, // [money] NOT NULL, IMPORTE DE OTROS DESCUENTOS
    ENLP: 0, // [bit] NOT NULL, FIJO 0
    COD_TRANS: comprobante.identificaxComprobante.numeroRegistrado || 0, // [bigint] NOT NULL, VER DE PONER EL NUMERO DE REFERENCIA QUE PUEDA UNIRNOS A LO QUE VIENE DESDE PLANEX
    RETMUN: comprobante.importesTotales.importeImpuestosMunicipales, // [money] NOT NULL, IMPORTE DE RETENCIONES MUNICIPALES
    TIPO_OPERACION: 0, // [int] NOT NULL, FIJO 0
    IRD: 0, // [money] NOT NULL, FIJO 0
    AUX1: 0, // [money] NOT NULL, FIJO 0
    AUX2: 0, // [money] NOT NULL, FIJO 0
    AUX3: 0, // [money] NOT NULL, FIJO 0
    AUX4: 0, // [money] NOT NULL, FIJO 0
    ARBA: 0, // [money] NOT NULL, IMPORTE RETENCION ARBA
    DGR: 0, // [money] NOT NULL, IMPORTE RETENCION DGR
    DTO_PIE: 0, // [money] NOT NULL, IMPORTE DE DESCUENTO AL PIE, NO POR ITEM
    OPERACIONES_3711: 1, // [int] NOT NULL, FIJO 1 (PORQUE SON BIENES)
    ORC: comprobante.comprobantesReferencia.PC.numeroDocumentoReferencia, // [bigint] NOT NULL, NUMERO DE ORDEN DE COMPRA
    NC_ES_NP: 0, // [bit] NOT NULL, FIJO 0
    CABA: 0, // [money] NOT NULL, IMPORTE RETENCION CABA
    ARBA_PER: 0, // [money] NOT NULL, IMPORTE PERCEPCION ARBA
    CABA_PER: 0, // [money] NOT NULL, IMPORTE PERCEPCION CABA
    PERMUN: comprobante.importesTotales.importeImpuestosMunicipales, // [money] NOT NULL, IMPORTE PERCEPCIONES MUNICIPALES
    IMI2: 0, // [money] NOT NULL, FIJO 0
    GLN: comprobante.identificaxSucursalReceptorFactura.glnSucursal,
    origen: 'planex'
  };
}
