module.exports =
  config = require('./config/config.json');
  knex = require('knex')(config.db),
  express = require('express');
  app = express();
  wsServer = require('./webSocketServer/index')();
  moment = require('moment');
  fs = require('fs');


app.listen(config.portWebService);
app.use(express.json({ limit: '50mb' }));

require('./watch/index')(config.dir, onGetFile);

app.use(function(req, res, next) {
  res.setHeader('Access-Control-Allow-Origin', '*');
  res.setHeader(
      'Access-Control-Allow-Headers',
      'Origin, X-Requested-With, Content-Type, Accept, X-Terminal-Key, X-Nombre-Usuario, X-Punto-Venta'
  );
  res.setHeader('Access-Control-Allow-Methods', 'POST, GET, DELETE, OPTIONS');
  next();
});

app.use('/gateway-debo', require('./rutas/comprobantes'));
app.use('/gateway-debo', require('./rutas/login'));
app.use('/gateway-debo', require('./rutas/nombreEmpresa'));

function onGetFile(fileString, nameFile) {

  if (!fileString) {
    console.log(`no se pueden los datos del archivo ${nameFile}`);
  };

  require('./debo/validacion')(nameFile).then(function() {

    console.log(`se valida que no exista... ${nameFile}`);

    var planex = require('./planex/index')(fileString);

    console.log(`obtengo objeto planex de ${nameFile}`);
    // Traigo proveedor, empresa
    require('./debo/relaciones')(planex, wsServer).then(function(result) {

      console.log(`obtengo relaciones debo ${nameFile}`);
      var planex = result.planex;

      var entities = {};

      entities.proveedores = result.values[0];
      entities.empresa = result.values[1];

      var debo = require('./debo/index')(planex, entities);

      require('./db/index')(debo, nameFile);

    }).catch(function(e) {

      console.log(e);
    });
  }).catch(function(err) {
    
    console.log(err);
  });
}

console.log('listen websocket port ' + config.port);
console.log('listen webservice port ' + config.portWebService);
console.log('Ejecutar programa como administrador...');
