module.exports = function(comprobante, returnFloatByDecimals) {

  var comprobanteArr = comprobante.split(';');

  return {
    numeroLinea: comprobanteArr[1],
    codigoProductoServicio: comprobanteArr[2],
    codigoProductoServicioComprador: comprobanteArr[3],
    descripcion: comprobanteArr[4],
    cantidad: returnFloatByDecimals(comprobanteArr[5], 5),
    unidadMedida: comprobanteArr[6],
    precioUnitario: returnFloatByDecimals(comprobanteArr[7], 3),
    alicuotaIVAAplicable: returnFloatByDecimals(comprobanteArr[8], 2),
    importeIVA: returnFloatByDecimals(comprobanteArr[9], 2),
    subtotalPorRegistro: returnFloatByDecimals(comprobanteArr[10], 2),
    importeBonificacion: returnFloatByDecimals(comprobanteArr[11], 2),
    importeAjuste: returnFloatByDecimals(comprobanteArr[12], 2),
    indicacionExento: comprobanteArr[13],
    indicacionAnulacion: comprobanteArr[14],
    numeroUnidadesPorUnidadEmbalaje: returnFloatByDecimals(comprobanteArr[15], 2),
    cantidadEmbalajes: returnFloatByDecimals(comprobanteArr[16], 2),
    codigoTipoEmbalaje: comprobanteArr[17],
    unidadReferenciaDescripcion: comprobanteArr[18],
    precioUnitarioSinImpuestos: returnFloatByDecimals(comprobanteArr[19], 3),
    codigoUPCEAN13: comprobanteArr[20],
    codigoDUN14: comprobanteArr[21],
    codigoMercosur: comprobanteArr[22],
    unidadesMatrix: comprobanteArr[23],
    codigoMatrix: comprobanteArr[24],
    precioLista: returnFloatByDecimals(comprobanteArr[25], 2)
  };
}
