module.exports = function(planex, cuerpos, fileString, idTransaccion) {

  var result = require('./datosIndentificacionMensaje')(planex) + '\r\n';

  result += require('./datosCabecera')(planex, idTransaccion) + '\r\n';

  fileString = fileString.split(/\r?\n/);

  fileString.forEach(bloque => {

    if (bloque.slice(0, 3) == '020') {
      result += bloque + '\r\n';
    }

  });

  result += require('./datosComprador')(planex) + '\r\n';
  result += require('./datosProveedor')(planex) + '\r\n';

  cuerpos.forEach((cuerpo, index) => {
    result += require('./datosArticulos')(cuerpo, index, decimalToFijo) + '\r\n';
  });

  cuerpos.forEach((cuerpo, index) => {
    result += require('./datosCantidadArticulos')(cuerpo, index, decimalToFijo) + '\r\n';
  });

  result += require('./totalControl')(cuerpos.length);

  return result;
};

function decimalToFijo(decimal, cantidadDecimales, fijo) {

  decimal = decimal.toString().split('.');

  decimal[1] = rellenar(decimal[1] || '0', cantidadDecimales, false);

  decimal = rellenar(decimal[0] + decimal[1], fijo, true);

  function rellenar(aRellenar, cantidad, left) {

    for (let i = 0; i <= cantidad; i++) {

      if (aRellenar.length >= cantidad) break;

      left ? aRellenar = '0' + aRellenar : aRellenar = aRellenar + '0';
    }

    return aRellenar;
  }

  return decimal;
}
